#pragma once
#include <Arduino.h>
#include "station.h"

class Station;

class State {
public:
    virtual ~State() = default;

    virtual State* pickedUp() { return this; }
    virtual State* putDown(Station* newStation) { return this; }
    virtual State* update() { return this; }

    virtual void updateDisplay(LiquidCrystal* lcd) { }
};
